FROM openzipkin/jre-full:1.8.0_171
MAINTAINER OpenZipkin "http://zipkin.io/"

ENV ELASTICSEARCH_VERSION 6.3.0
ENV ES_TMPDIR /tmp

WORKDIR /elasticsearch

# single layer to install elasticsearch and the user
RUN curl -SL https://artifacts.elastic.co/downloads/elasticsearch/elasticsearch-$ELASTICSEARCH_VERSION.tar.gz| tar xz && \
    mv elasticsearch-$ELASTICSEARCH_VERSION/* /elasticsearch/ && \
    rm -rf /elasticsearch/modules/x-pack/x-pack-ml/platform/linux-x86_64 && \
    adduser -S elasticsearch && \
    chown -R elasticsearch /elasticsearch

USER elasticsearch

COPY config ./config

EXPOSE 9200 9300

CMD JAVA_OPTS= exec sh /elasticsearch/bin/elasticsearch